aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ubuntu-archive-keyring/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2018-03-29 06:45:29 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2018-03-29 06:45:35 +0000
commite701bf12106da774d448e21afc5fce0b039e6edf (patch)
tree4f3c71c843ad7199ad9bb66660251f6f0d2e1c35 /testing/ubuntu-archive-keyring/APKBUILD
parent1d8feac4d8db19f6748e2b682b8f0a4bab97c3d5 (diff)
downloadaports-e701bf12106da774d448e21afc5fce0b039e6edf.tar.gz
aports-e701bf12106da774d448e21afc5fce0b039e6edf.tar.bz2
aports-e701bf12106da774d448e21afc5fce0b039e6edf.tar.xz
testing/ubuntu-archive-keyring: new aport
Diffstat (limited to 'testing/ubuntu-archive-keyring/APKBUILD')
-rw-r--r--testing/ubuntu-archive-keyring/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/ubuntu-archive-keyring/APKBUILD b/testing/ubuntu-archive-keyring/APKBUILD
new file mode 100644
index 0000000000..08920d651a
--- /dev/null
+++ b/testing/ubuntu-archive-keyring/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=ubuntu-archive-keyring
+pkgver=2016.05.13.1
+_pkgver=${pkgver%.*}${pkgver//*./-}
+pkgrel=0
+pkgdesc="GnuPG archive keys of the Debian archive"
+url="http://packages.debian.org/sid/debian-archive-keyring"
+arch="noarch"
+license="GPL"
+depends="gnupg"
+makedepends="tar xz"
+options="!check" # upstream doesn't have a test suite.
+subpackages="$pkgname-doc"
+source="http://ftp.debian.org/debian/pool/main/u/ubuntu-keyring/${pkgname}_${_pkgver}_all.deb"
+
+unpack() {
+ cd "$srcdir"
+ for i in $source; do
+ case $i in
+ *.deb) ar x ${i##*/} || return 1 ;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ mkdir -p "$pkgdir"
+ tar -xJf "$srcdir"/data.tar.xz -C "$pkgdir"/
+}
+
+sha512sums="8234457c379d2a3d0524e5ab5abf806aa8c49806ec863e7fd1d95a63c2b32ccbcaf2375e186de3bd0611b1d8f227d4ee03428d63f30f5b45597036fd5d5a0a56 ubuntu-archive-keyring_2016.05.13-1_all.deb"